# Just Another Measurement of Extension header Survivability (JAMES)

These scripts are developped as part of the following IETF draft [(JAMES)](https://www.ietf.org/archive/id/draft-vyncke-v6ops-james-01.html) and my master thesis in Computer Science, at the University of Liège. The goal of this study is to provide more recent and complete results on the survivability of the extension header in the wide Internet. 

## Requirements
These scripts require the following dependencies to be installed:
* [Python3](https://www.python.org/downloads/)
* [Scapy](https://scapy.net/)
* [ndjson](https://pypi.org/project/ndjson/)
* [tcpdump](https://www.tcpdump.org/manpages/tcpdump.1.html)
* [aggradix](https://github.com/hyugak/aggradix)

## Usage

### Probing scripts
See the documentation provided [here](scripts_tests/README.md)
### Analyze scripts
#### Cooperative version
See the documentation provided [here](scripts_analyse_coop/README.md)
#### Wild version
See the documentation provided [here](scripts_analyse_wild/README.md)

## Authors
- Léas Raphaël (University of Liège)

## Contributors
- Eric Vyncke (Cisco)
- Benoît Donnet (University of Liège)
- Justin Iurman (University of Liège)

## Licence
[![License](https://img.shields.io/badge/License-Apache_2.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)
    

