# Analyse script (wild version)
This script is responsible of analysing and proving information on the probing results, generated by the exectution of the probing script in wild mode.

It perform the following analyses:
* Analyse the extension header survivability
* Analyse extension header blockings and filterings
* Determine guilty AS, responsible of blockings or filterings

## Prerequisites
* Fill hosts_infos.txt with a name, an open port, and an IPv6 addresse for each source hosts.
* Configure the analyse by using config.py
* Modify experiments_to_analyse.ndjson to mention the experiments that need to be analysed. The available configuration for each experiment is the followed:
  
  * [REQUIRED] StartTrace, EndTrace, and NoHeader
    * proto (list of str): UDP, TCP
  * DestExtHdr
    * proto (list of str): UDP, TCP
    * types (list of dict):
      * len (int): 8, 16, 32, 40, 48, 56, 64, 128, 256, 512
      * action (list of str): skip, discard
      * other(list of str): Unkw (use unknow option), Big (use real PadN option)
  * HbhExtHdr
    * proto (list of str): UDP, TCP
    * types (list of dict):
      * len (int): 8, 256, 512
      * action (list of str): skip, discard
      * other(list of str): Unkw (use unknow option), Big (use real PadN option)
  * RoutingExtHdr
    * proto (list of str): UDP, TCP
    * types (list of int): 1, 2, 3, 4, 5, 6
  * FragExtHdr
    * proto (list of str): UDP, TCP
    * types (list of int): 512, 1280, 1500
    * m (list of int): 0, 1
  * NoNextHdr
    * proto (list of str): noL4
  * Ethernet
    * proto (list of str): noL4
  * AHExtHdr
    * proto (list of str): UDP, TCP
  * ESPExtHdr
    * proto (list of str): UDP

## Run
When configure, the analyse can be executed with the following command:
```bash
python3 start_analyse.py
```