# General configuration
PROBE_ID = 1                                    # Initialisation of the probe id counter
EXP_INTERVAL = 1                                # Wait time between each experiment (in s)
PROTO_INTERVAL = 0.25                           # Wait time between each l4 protocol for a experiment (in s)
WAIT_STEP = 0.5                                 # Wait time between traceroute and probing for a experiment (in s)
TESTS_DIR = 'tests_results'                     # Name of directory to save raw data
PROTOCOLS = ['udp','tcp']                       # L4 protocols to test
EXPS_FILENAME = 'experiments.ndjson'            # Name of the file containing the experiments to perform
WAIT_TRACE = 0.5                                # Wait time between two steps for a destination
WAIT_CAPTURE = 1.5                              # Wait time before starting and after ending the experiments
VERBOSE = True                                 # Display explicit print
PAYLOAD_DATA = b'\x00mailto:example@abc.com\x00'  # Payload to insert inside each packet

# Experiment probing configuration
EXP_PROBING = False                             # Enable experiment probing (send probes with exp [hlim=255])
PACKET_TO_SEND = 30                             # Number of packets to send for experiement probing
SEND_TIMEOUT = 0.01                             # Interval to wait before sending the next

# Traceroute configuration
TRACEROUTE = True                               # Enable traceroute
DEFAULT_MAXHOP = 35                             # Max hlim to probe
ADD_HOPS = 2                                    # Number of hops to add the measured routing path length (Security measure)
WAIT_RESP = 0.5                                 # Wait response (in s)
SLOW_HBHDISCARD = False                         # Enable slow HBH discard if present
REDUCE_HOPS = False                             # Reduce the number of packets to send for traceroute
SLOW_TRACE_TIMEOUT = 1                          # Wait time between each slow traceroute
MAX_ATTEMPS = 2                                 # Number of attemps to send
DEFAULT_SAVEFILENAME = 'traceroutes_infos.txt'  # Name of the saving file
